function y = Analytical_solution(Cd,b,y0,A,t_end,n_steps)

C1 = sqrt(9*A^2/y0);
y_i = y0;
y = [y_i];
h = t_end/n_steps;
t=0;

for k=1:n_steps
    t = k*h;
    den = 9*A^2;
    subden = (Cd*b*sqrt(2*9.81)*t+C1)^2;
    y_i1 = den/subden;
    y = [y y_i1];
end

